package com.cm.central.control.pojo.vos.projectleader;

import com.cm.common.annotation.CheckEmptyAnnotation;
import com.cm.common.annotation.CheckNumberAnnotation;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;

/**
 *
 * @ClassName: ProjectLeaderVO
 * @Description: 项目负责人
 * @Author: WenG
 * @Date: 2020-07-30 19:04
 * @Version: 1.0
 **/
@ApiModel
public class ProjectLeaderVO {

    @ApiModelProperty(name = "leaderUserId", value = "用户ID")
    @CheckEmptyAnnotation(name = "用户ID")
    private String leaderUserId;
    @ApiModelProperty(name = "leaderUserName", value = "用户昵称")
    @CheckEmptyAnnotation(name = "用户昵称")
    private String leaderUserName;
    @ApiModelProperty(name = "leaderName", value = "姓名")
    @CheckEmptyAnnotation(name = "姓名")
    private String leaderName;
    @ApiModelProperty(name = "leaderPhone", value = "手机")
    @CheckEmptyAnnotation(name = "手机", verifyType = "phone")
    private String leaderPhone;
    @ApiModelProperty(name = "leaderEmail", value = "邮箱")
    @CheckEmptyAnnotation(name = "邮箱", verifyType = "email")
    private String leaderEmail;

    public String getLeaderUserId() {
        return leaderUserId == null ? "" : leaderUserId.trim();
    }

    public void setLeaderUserId(String leaderUserId) {
        this.leaderUserId = leaderUserId;
    }

    public String getLeaderUserName() {
        return leaderUserName == null ? "" : leaderUserName.trim();
    }

    public void setLeaderUserName(String leaderUserName) {
        this.leaderUserName = leaderUserName;
    }

    public String getLeaderName() {
        return leaderName == null ? "" : leaderName.trim();
    }

    public void setLeaderName(String leaderName) {
        this.leaderName = leaderName;
    }

    public String getLeaderPhone() {
        return leaderPhone == null ? "" : leaderPhone.trim();
    }

    public void setLeaderPhone(String leaderPhone) {
        this.leaderPhone = leaderPhone;
    }

    public String getLeaderEmail() {
        return leaderEmail == null ? "" : leaderEmail.trim();
    }

    public void setLeaderEmail(String leaderEmail) {
        this.leaderEmail = leaderEmail;
    }

    @Override
    public String toString() {
        final StringBuilder sb = new StringBuilder("{");
        sb.append("\"leaderUserId\":")
                .append("\"").append(leaderUserId).append("\"");
        sb.append(",\"leaderUserName\":")
                .append("\"").append(leaderUserName).append("\"");
        sb.append(",\"leaderName\":")
                .append("\"").append(leaderName).append("\"");
        sb.append(",\"leaderPhone\":")
                .append("\"").append(leaderPhone).append("\"");
        sb.append(",\"leaderEmail\":")
                .append("\"").append(leaderEmail).append("\"");
        sb.append('}');
        return sb.toString();
    }
}
